package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("V_RS_PSAM_AZFKXXB")
@ApiModel(value="VRsPsamAzfkxxb对象", description="PSAM卡安装反馈信息")
public class VRsPsamAzfkxxb {

    @ApiModelProperty(value = "PSAM卡安装反馈信息表流水号")
    @TableId(value = "RS_PSAM_AZFKXXB_LSH", type = IdType.ASSIGN_UUID)
    private String rsPsamAzfkxxbLsh;

    @ApiModelProperty(value = "PSAM卡申请表流水号")
    @TableField("RS_PSAM_YWXX_SQB_LSH")
    private String rsPsamYwxxSqbLsh;

    
    @ApiModelProperty(value = "PSAM卡入库信息表流水号")
    @TableField("RS_PSAM_RKXXB_LSH")
    private String rsPsamRkxxbLsh;
    
    @ApiModelProperty(value = "终端号码")
    @TableField("ZDHM")
    private String zdhm;
    
    @ApiModelProperty(value = "装机日期")
    @TableField("ZJRQ")
    private String zjrq;
    
    @ApiModelProperty(value = "商户状态")
    @TableField("SHZT")
    private String shzt;
    
    @ApiModelProperty(value = "是否已提交")
    @TableField("SFTJ")
    private String sftj;
    
    @ApiModelProperty(value = "创建人")
    @TableField("CJR")
    private String cjr;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("CJSJ")
    private String cjsj;
    
    @ApiModelProperty(value = "最后修改人")
    @TableField("ZHXGR")
    private String zhxgr;
    
    @ApiModelProperty(value = "最后修改时间")
    @TableField("ZHXGSJ")
    private String zhxgsj;

	public String getRsPsamAzfkxxbLsh() {
		return rsPsamAzfkxxbLsh;
	}

	public void setRsPsamAzfkxxbLsh(String rsPsamAzfkxxbLsh) {
		this.rsPsamAzfkxxbLsh = rsPsamAzfkxxbLsh;
	}

	public String getRsPsamYwxxSqbLsh() {
		return rsPsamYwxxSqbLsh;
	}

	public void setRsPsamYwxxSqbLsh(String rsPsamYwxxSqbLsh) {
		this.rsPsamYwxxSqbLsh = rsPsamYwxxSqbLsh;
	}

	public String getRsPsamRkxxbLsh() {
		return rsPsamRkxxbLsh;
	}

	public void setRsPsamRkxxbLsh(String rsPsamRkxxbLsh) {
		this.rsPsamRkxxbLsh = rsPsamRkxxbLsh;
	}

	public String getZdhm() {
		return zdhm;
	}

	public void setZdhm(String zdhm) {
		this.zdhm = zdhm;
	}

	public String getZjrq() {
		return zjrq;
	}

	public void setZjrq(String zjrq) {
		this.zjrq = zjrq;
	}

	public String getShzt() {
		return shzt;
	}

	public void setShzt(String shzt) {
		this.shzt = shzt;
	}

	public String getSftj() {
		return sftj;
	}

	public void setSftj(String sftj) {
		this.sftj = sftj;
	}

	public String getCjr() {
		return cjr;
	}

	public void setCjr(String cjr) {
		this.cjr = cjr;
	}

	public String getCjsj() {
		return cjsj;
	}

	public void setCjsj(String cjsj) {
		this.cjsj = cjsj;
	}

	public String getZhxgr() {
		return zhxgr;
	}

	public void setZhxgr(String zhxgr) {
		this.zhxgr = zhxgr;
	}

	public String getZhxgsj() {
		return zhxgsj;
	}

	public void setZhxgsj(String zhxgsj) {
		this.zhxgsj = zhxgsj;
	}
}